| Kea 3.0.2-git

user.h File Reference

This file defines classes: UserId and User. More...

`#include <boost/shared_ptr.hpp>`
`#include <map>`
`#include <stdint.h>`
`#include <vector>`
Include dependency graph for user.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | user_chk::User
| Represents a unique DHCP user This class is used to represent a specific DHCP user who is identified by a unique id and who possesses a set of properties. More...
class | user_chk::UserId
| Encapsulates a unique identifier for a DHCP client. More...

## Namespaces
namespace | user_chk
| Defines the logger used by the user check hooks library.

## Typedefs
typedef std::map< std::string, std::string > | user_chk::PropertyMap
| Defines a map of string values keyed by string labels.
typedef boost::shared_ptr< UserId > | user_chk::UserIdPtr
| Defines a smart pointer to UserId.
typedef boost::shared_ptr< User > | user_chk::UserPtr
| Defines a smart pointer to a User.

## Functions
std::ostream & | user_chk::operator<< (std::ostream &os, const UserId &user_id)
| Outputs the UserId contents in a string to the given stream.

## Detailed Description

This file defines classes: UserId and User.

These classes are used to describe and recognize DHCP lease clients.

Definition in file user.h.